org.apache.ignite.internal.util

## Class GridAnnotationsCache

- java.lang.Object
- - org.apache.ignite.internal.util.GridAnnotationsCache

    public final class GridAnnotationsCache
    extends Object

Caches class loaders for classes.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends Annotation> T` `getAnnotation(Class<?> cls, Class<T> annCls)`
`static void` `onUndeployed(ClassLoader ldr)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getAnnotation

    @Nullable
    public static <T extends Annotation> T getAnnotation(Class<?> cls,
                                                                   Class<T> annCls)

Parameters:
  `cls` - Class.
  `annCls` - Annotation class.
Returns:
  Annotation (or `null`).

#### onUndeployed

    public static void onUndeployed(ClassLoader ldr)

Parameters:
  `ldr` - Undeployed class loader.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020